See ei ole aeg-ajalt eelistan DeployR Juurutage oma Apache Tomcat või MongoDB infrastruktuuri asemel installida kaasnevad DeployR install Tomcat ja MongoDB komponentide puhul. Seda saab teha vaid järgmisi tuleks arvesse võtta:

MongoDB

DeployR 7.3 testitud ja toetatud MongoDB 2.4.5. Vanemad versioonid MongoDB DeployR ei tööta. Teine MongoDB install kasutamine ettevõtte esmalt ilmnes installi DeployR 7.3 siis dump vaikimisi andmebaasi DeployR's MongoDB installist ja oma paigaldus mongorestore abil taastada. Seejärel konfigureerige ühenduse uue MongoDB installi deployr.groovy.

Apache Tomcat

DeployR 7.3 testitud ja toetatud Apache Tomcat 7.0.34. DeployR kasutab veebisoklid. Seega vähemalt, peate kasutama Tomcat 7.0.27. Midagi 7.0.27 enne katkestamist DeployR funktsioone.

Tomcat konfiguratsioon:

DeployR töötamaks samasse porti kasutame vaikimisi, siis on teil valida vaikimisi server.xml, mis on DeployR konnektori üksikasjad. Vastasel juhul vähemalt, peate pordi vastenduste leitud deployr.groovy faili sobitada praeguse Tomcat konnektori konfiguratsiooni muutmiseks:

grails.plugin.springsecurity.portMapper.httpPort=7300 
grails.plugin.springsecurity.portMapper.httpsPort=7301

7300 ja 7301 port väärtused oleks vaja pordid, mida te kasutate vastendamiseks värskendada.

Peaksite ka catalina.sh või catalina.bat tagada Java kuhja eraldatud DeployR on piisav, kasutades sobivat JAVA_OPTS muuta. Need vaikeväärtused on saadaval catalina.sh/bat, mis on DeployR.

Lõpuks kuskil keskkonnas on REVODEPLOYR_HOME keskkonnamuutuja tuleb määrata.

Kas vajate veel abi?

Täiendage oma oskusi
Tutvuge koolitusmaterjalidega
Kasutage uusi funktsioone enne teisi
Liitu Microsofti Insideri programmis osalejad

Kas sellest teabest oli abi?

Kui rahul te keelekvaliteediga olete?
Mis mõjutas teie hinnangut?

Täname tagasiside eest!

×